import { DataState,FieldInfo } from 'model-util-base'
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-03-08 10:10
 */
export interface Park{
    /**
    * 车场编码
    * @type { string }
    */
    lotcode?: string;
    /**
    * 车场名称
    * @type { string }
    */
    lotname?: string;
    /**
    * 车场所在的数据库id，关联t_database中的id
    * @type { number }
    */
    databaseid?: number;
    /**
    * 
    * @type { Date }
    */
    updatetime?: Date;
    /**
    * 车场总车位数
    * @type { number }
    */
    totallots?: number;
    /**
    * 剩余车位数
    * @type { number }
    */
    usedlots?: number;
    /**
    * 省份
    * @type { string }
    */
    province?: string;
    /**
    * 城市
    * @type { string }
    */
    city?: string;
    /**
    * 区/县
    * @type { string }
    */
    region?: string;
    /**
    * 地址
    * @type { string }
    */
    address?: string;
    /**
    * 车场性质，由BI及速停车维护
    * @type { string }
    */
    lottype?: string;
    /**
    * 高德经度
    * @type { string }
    */
    longitude?: string;
    /**
    * 高德纬度
    * @type { string }
    */
    latitude?: string;
    /**
    * 合同号
    * @type { string }
    */
    contractno?: string;
    /**
    * 是否删除，0未删除，1已删除
    * @type { boolean }
    */
    isdelete?: boolean;
    /**
    * 是否速泊车场，0否1是
    * @type { any }
    */
    issuperpark?: any;
    /**
    * 创建时间
    * @type { Date }
    */
    createtime?: Date;
    /**
    * 设备id
    * @type { string }
    */
    deviceid?: string;
    /**
    * 绑定时间
    * @type { Date }
    */
    bindtime?: Date;
    /**
    * 绑定操作人姓名
    * @type { string }
    */
    bindopname?: string;
    /**
    * 备注
    * @type { string }
    */
    remark?: string;
    /**
    * 是否与速停车同步成功，0否1是
    * @type { any }
    */
    hassyncsuccess?: any;
    /**
    * 更新时间
    * @type { Date }
    */
    synctime?: Date;
    /**
    * 数据库当前版本号
    * @type { string }
    */
    dbversion?: string;
    /**
    * 服务时间
    * @type { Date }
    */
    servicedate?: Date;
    /**
    * 是否无人值守
    * @type { any }
    */
    isunattend?: any;
    /**
    * 车场状态0注销1启用2调试中
    * @type { number }
    */
    status?: number;
    /**
    * 无人值守配置同步时间
    * @type { Date }
    */
    unattendsynctime?: Date;
    /**
    * 运维中心配置同步时间
    * @type { Date }
    */
    opssynctime?: Date;
    /**
    * 迁移时间
    * @type { Date }
    */
    migratetime?: Date;
    /**
    * 0不允许多个车场服务；其他值：允许车场服务的个数，对应t_lotpark_dist中允许绑定的最大设备记录数
    * @type { number }
    */
    distnumber?: number;
}
export class ParkMI{ 
    static get LOTCODE(): FieldInfo{  
        return new FieldInfo('lotcode','车场编码');
    }
    static get LOTNAME(): FieldInfo{  
        return new FieldInfo('lotname','车场名称');
    }
    static get DATABASEID(): FieldInfo{  
        return new FieldInfo('databaseid','车场所在的数据库id，关联t_database中的id');
    }
    static get UPDATETIME(): FieldInfo{  
        return new FieldInfo('updatetime','');
    }
    static get TOTALLOTS(): FieldInfo{  
        return new FieldInfo('totallots','车场总车位数');
    }
    static get USEDLOTS(): FieldInfo{  
        return new FieldInfo('usedlots','剩余车位数');
    }
    static get PROVINCE(): FieldInfo{  
        return new FieldInfo('province','省份');
    }
    static get CITY(): FieldInfo{  
        return new FieldInfo('city','城市');
    }
    static get REGION(): FieldInfo{  
        return new FieldInfo('region','区/县');
    }
    static get ADDRESS(): FieldInfo{  
        return new FieldInfo('address','地址');
    }
    static get LOTTYPE(): FieldInfo{  
        return new FieldInfo('lottype','车场性质，由BI及速停车维护');
    }
    static get LONGITUDE(): FieldInfo{  
        return new FieldInfo('longitude','高德经度');
    }
    static get LATITUDE(): FieldInfo{  
        return new FieldInfo('latitude','高德纬度');
    }
    static get CONTRACTNO(): FieldInfo{  
        return new FieldInfo('contractno','合同号');
    }
    static get ISDELETE(): FieldInfo{  
        return new FieldInfo('isdelete','是否删除，0未删除，1已删除');
    }
    static get ISSUPERPARK(): FieldInfo{  
        return new FieldInfo('issuperpark','是否速泊车场，0否1是');
    }
    static get CREATETIME(): FieldInfo{  
        return new FieldInfo('createtime','创建时间');
    }
    static get DEVICEID(): FieldInfo{  
        return new FieldInfo('deviceid','设备id');
    }
    static get BINDTIME(): FieldInfo{  
        return new FieldInfo('bindtime','绑定时间');
    }
    static get BINDOPNAME(): FieldInfo{  
        return new FieldInfo('bindopname','绑定操作人姓名');
    }
    static get REMARK(): FieldInfo{  
        return new FieldInfo('remark','备注');
    }
    static get HASSYNCSUCCESS(): FieldInfo{  
        return new FieldInfo('hassyncsuccess','是否与速停车同步成功，0否1是');
    }
    static get SYNCTIME(): FieldInfo{  
        return new FieldInfo('synctime','更新时间');
    }
    static get DBVERSION(): FieldInfo{  
        return new FieldInfo('dbversion','数据库当前版本号');
    }
    static get SERVICEDATE(): FieldInfo{  
        return new FieldInfo('servicedate','服务时间');
    }
    static get ISUNATTEND(): FieldInfo{  
        return new FieldInfo('isunattend','是否无人值守');
    }
    static get STATUS(): FieldInfo{  
        return new FieldInfo('status','车场状态0注销1启用2调试中');
    }
    static get UNATTENDSYNCTIME(): FieldInfo{  
        return new FieldInfo('unattendsynctime','无人值守配置同步时间');
    }
    static get OPSSYNCTIME(): FieldInfo{  
        return new FieldInfo('opssynctime','运维中心配置同步时间');
    }
    static get MIGRATETIME(): FieldInfo{  
        return new FieldInfo('migratetime','迁移时间');
    }
    static get DISTNUMBER(): FieldInfo{  
        return new FieldInfo('distnumber','0不允许多个车场服务；其他值：允许车场服务的个数，对应t_lotpark_dist中允许绑定的最大设');
    }
}


